-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at:
--         http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local CoolingConfigInterface = require 'mdb.bmc.kepler.Systems.CoolingConfigInterface'

local childs = {}
local CoolingConfig = {childs = childs}

local Mdb = require 'mc.mdb'

local TCoolingConfig = Mdb.register_object('/bmc/kepler/Systems/:SystemId/CoolingConfig', {
    {name = 'CoolingConfig', interface = CoolingConfigInterface.CoolingConfig}
})
CoolingConfig.CoolingConfig = TCoolingConfig

function TCoolingConfig:ctor(SystemId)
    self.path = '/bmc/kepler/Systems/' .. SystemId .. '/CoolingConfig'
end

return CoolingConfig
